package info.textgrid.lab.collatex.ui.parts;

import org.eclipse.ui.part.IPage;
import org.eclipse.zest.core.viewers.AbstractZoomableViewer;
import org.eclipse.zest.core.viewers.IZoomableWorkbenchPart;

/**
 * View using {@link VariantGraphPage}
 */
public class VariantGraphView extends AbstractResultView implements
IZoomableWorkbenchPart {

	public static final String ID = "info.textgrid.lab.collatex.ui.parts.VariantGraphView"; //$NON-NLS-1$

	public VariantGraphView() {
	}

	@Override
	public AbstractZoomableViewer getZoomableViewer() {
		final IPage page = getCurrentPage();
		if (page instanceof IZoomableWorkbenchPart)
			return ((IZoomableWorkbenchPart) page).getZoomableViewer();
		return null;
	}

	@Override
	protected AbstractResultPage createResultPage() {
		return new VariantGraphPage();
	}

}